// 有效循环n次，则addNums调用n次，每一次调用都会入栈（创建栈帧）。
#include <iostream>

using namespace std;

int addNums(int a, int b); // 函数的声明

int main()
{
    int x, y;
    while (1)
    {
        cout << "请输入两个整数：";
        cin >> x;
        if (x == 0)
            break;
        cin >> y;
        // 调用函数
        int ret = addNums(x, y);
        cout << "计算结果为：" << ret << endl;
    }

    return 0;
}

// 函数的定义
int addNums(int a, int b)
{
    return a + b;
}